%define api 1.2
%bcond_with mem_tests

Summary:	A collection of multi-dimensional data structures and indexing algorithms
Name:		mdds
Version:	1.3.1
Release:	1
License:	MIT
Group:		Development/C++
Url:		https://gitlab.com/mdds/mdds
Source0:	http://kohei.us/files/%{name}/src/%{name}-%{version}.tar.bz2
BuildRequires:	boost-devel
%if %{with mem_tests}
BuildRequires:	valgrind
%endif
BuildArch:	noarch

%description
A collection of multi-dimensional data structures and indexing algorithms.

It implements the following data structures:
* segment tree
* flat segment tree
* rectangle set
* point quad tree
* mixed type matrix

#----------------------------------------------------------------------------

%package devel
Summary:	Headers for %{name}
Group:		Development/C++
Requires:	boost-devel

%description devel
Headers for %{name}.

%files devel
%doc AUTHORS NEWS README.md
%{_includedir}/mdds
%{_datadir}/pkgconfig/%{name}-%{api}.pc

#----------------------------------------------------------------------------

%prep
%setup -q
# this is only used in tests
sed -i -e '/^CPPFLAGS/s/-Wall -Os/-Wall %{optflags}/' Makefile* configure*

%build
%configure2_5x
%make

%install
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_datadir}/pkgconfig
mkdir %{buildroot}%{_includedir}/mdds
cp -pr include/mdds/* %{buildroot}%{_includedir}/mdds
cp misc/%{name}-%{api}.pc %{buildroot}%{_datadir}/pkgconfig

%check
for t in flat_segment_tree_test point_quad_tree_test rectangle_set_test segment_tree_test; do
	make $t
done
%if %{with mem_tests}
	for t in flat_segment_tree_test point_quad_tree_test rectangle_set_test segment_tree_test; do
		make $t._mem.mem
	done
%endif

%changelog
